<div class="container">
    <h2 class="text-center m-4">Scheduler data </h2>
    <h4>All Tasks</h4>
    <p>Current Date Time - {{currentDateTime}}</p>
    <div class="container">
        <div class="row ribbon">
            <div class="col border">
                SNO.
            </div>
            <div class="col border">
                Activity Type
            </div>
            <div class="col border">
                Task Name
            </div>
            <div class="col border">
                Cron
            </div>
            <div class="col border">
                Past Executions
            </div>
            <div class="col border">
                Future Executions
            </div>
        </div>
        <div *ngFor="let schedule of scheduleList" class="row">
            <div class="col border">
                {{schedule.id}}
            </div>
            <div class="col border">
                {{schedule.type}}
            </div>
            <div class="col border">
                {{schedule.attributes.name}}
            </div>
            <div class="col border">
                {{schedule.attributes.cron}}
            </div>
            <div class="col border">
                {{schedule.pastDisplay}}
            </div>
            <div class="col border">
                {{schedule.futureDisplay}}
            </div>
        </div>
    </div>
    <br><br>
    <h4>Future Tasks in the next 24 hours</h4>
    <p>Current Date Time - {{currentDateTime}}</p>
    <div class="container">
        <div class="row ribbon">
            <div class="col border">
                SNO.
            </div>
            <div class="col border">
                Activity Type
            </div>
            <div class="col border">
                Task Name
            </div>
            <div class="col border">
                Future Task
            </div>
        </div>
        <div *ngFor="let schedule of futureTaskList" class="row">
            <div class="col border">
                {{schedule.id}}
            </div>
            <div class="col border">
                {{schedule.type}}
            </div>
            <div class="col border">
                {{schedule.attributes.name}}
            </div>
            <div class="col border">
                {{schedule.futureDisplay}}
            </div>
        </div>
    </div>
    <br><br>
    <h4>Past Tasks in Last 3 hours</h4>
    <p>Current Date Time - {{currentDateTime}}</p>
    <div class="container">
        <div class="row ribbon">
            <div class="col border">
                SNO.
            </div>
            <div class="col border">
                Activity Type
            </div>
            <div class="col border">
                Task Name
            </div>
            <div class="col border">
                Past Task
            </div>
        </div>
        <div *ngFor="let schedule of pastTaskList" class="row">
            <div class="col border">
                {{schedule.id}}
            </div>
            <div class="col border">
                {{schedule.type}}
            </div>
            <div class="col border">
                {{schedule.attributes.name}}
            </div>
            <div class="col border">
                {{schedule.pastDisplay}}
            </div>
        </div>
    </div>
</div>